import org.omg.CORBA.ORB;
import java.io.*;
import java.lang.*;

public class EchoClient {
   public EchoClient(String[] args) {
      try {
         ORB orb = ORB.init(args, System.getProperties());

         BufferedReader ior_reader = new BufferedReader (
               new InputStreamReader (
                  new FileInputStream ("../echo.ref")));
         String ior_string = ior_reader.readLine ();

         // Resolves for remote object reference of HelloServer
         Echo echoRef = EchoHelper.narrow(orb.string_to_object (ior_string));
         System.out.println("\nClient: Obtained the remote object " +
               "reference");

         BufferedReader stdin = new BufferedReader (
               new InputStreamReader (System.in));

         String line = stdin.readLine ();

         while (line.compareTo (new String (".")) != 0)
         {
            // Invokes the remote echoString() method
            echoRef.echoString (line);
            line = stdin.readLine ();
         }
      } catch (Exception e) {
         System.err.println("\nClient: Caught exception - " + e);
         e.printStackTrace();
      }
   }

   public static void main(String [] args) {
      EchoClient servantActivatorClient = new EchoClient(args);
   }
}
